> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow behavior



## OpenAPI

````yaml get /v1/analytics/flow/behavior
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/analytics/flow/behavior:
    get:
      summary: Get flow behavior
      parameters:
        - schema:
            type: string
          required: false
          name: team_id
          in: query
        - schema:
            type: string
          required: false
          name: team_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_ids
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_slugs
          in: query
        - schema:
            type: string
          required: false
          name: collection_id
          in: query
        - schema:
            type: string
          required: false
          name: collection_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: collection_ids
          in: query
        - schema:
            type: string
          required: false
          name: date_from
          in: query
        - schema:
            type: string
          required: false
          name: date_to
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 1000
          required: false
          name: limit
          in: query
        - schema:
            type:
              - integer
              - 'null'
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - action
              - pathname
          required: false
          name: dimension
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowBehaviorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FlowBehaviorResponse:
      type: object
      properties:
        meta:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
            required:
              - name
              - type
        data:
          type: array
          items:
            type: object
            properties:
              from_step:
                type: string
              to_step:
                type: string
              sessions:
                type: number
              users:
                type: number
            required:
              - from_step
              - to_step
              - sessions
              - users
        rows:
          type: number
        statistics:
          type: object
          properties:
            elapsed:
              type: number
            rows_read:
              type: number
            bytes_read:
              type: number
          required:
            - elapsed
            - rows_read
            - bytes_read
      required:
        - meta
        - data
        - rows
        - statistics
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````